#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.17
visibility:           public
id:                   foldl-1.4.17-B2t4J4toJP27wxx9op8t3h
key:                  foldl-1.4.17-B2t4J4toJP27wxx9op8t3h
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  5b00dfc107c325aece6175ddde95c80b
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
library-dirs:         /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.17-B2t4J4toJP27wxx9op8t3h
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    comonad-5.0.8-KDCuTFA2mjoED8eK6rT9Kd containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    primitive-0.7.4.0-2yvrjkKbYif9hwxczpmLrN
    profunctors-5.6.2-GShwRP90Jtv64Kn3eksX1P
    random-1.2.1.2-F9rVStWFtZE3PBeMKQuK89
    semigroupoids-6.0.0.1-BsXeKcgZXpkECLqwp0kL5O text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-DtI6Ump4gwL4XOoZ2vYwmp
    vector-0.13.1.0-fp7g3DnwvJ21p5JSIbLxP

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

